Estoy teniendo algunos problemas para instalar Alamofire 4.0 en mi proyecto.

Tengo la última versión de Xcode, la ejecución de Swift 3, y cuando intento instalar alamofire me estoy poniendo como 800 errores del compilador.

Aparentemente

CocoaPods 1.1.0+ es necesario para generar Alamofire 4.0.0+

He mirado la versión de CocoaPods tengo en el terminal y me dice que estoy en la versión 1.0.1.

Ejecutando una actualización no funciona supongo que porque CocoaPods 1.1 está en beta.

Así que no estoy exactamente seguro de cómo actualizarlo hasta donde yo soy bueno para ir.
A menos de estar fuera de fecha no la fuerza como 800 errores del compilador? ¿Suena como algún otro problema?

InformationsquelleAutor Barkley | 2016-09-14

11 Comentarios

  1. 531

    Ejecutar lo siguiente en la terminal para obtener el última versión estable:

    sudo gem install cocoapods

    Agregar --pre para obtener la última versión preliminar:

    sudo gem install cocoapods --pre
    • Caída de la --pre si quieres la última versión estable
    • Es equivalente al utilizar --pre o gem install cocoapods -v 1.4.0.rc.1 por ahora? ¿Será el mismo?
    • ¿rc Significa que no versión estable?
    • Release candidate, por lo que generalmente significa que oficialmente no estable
    • No parece funcionar sin un pod de instalación después.
    • Si obtiene un error durante la instalación de la carpeta bin que usted puede agregar la opción-n /usr/local/bin antes de la cocoapods después de la instalación de la línea. Esto hará que tu a la última versión y obtener por los permisos de sólo lectura de la carpeta predeterminada.
    • Nunca instale las dependencias con sudo!

  2. 78

    Abrir el Terminal -> copy siguiente comando

    sudo gem install cocoapods

    Va a instalar la última versión estable de cocoapods.

    después de eso, usted necesita para actualizar pod usando el siguiente comando

    pod setup

    Puede comprobar pod versión usando el siguiente comando

    pod --version
    • Qué necesita para ejecutar <code>vaina de instalación –verbose</código de> después de esto así?
    • Sí. Es necesario
    • Tu gemfile podría ser bloqueado a una versión anterior, en cuyo caso, ejecutar bundle update cocoapods para conseguir su proyecto utilizando la más reciente cocoapods
  3. 19

    Si tienes la Integridad del Sistema de Protección habilitado o cualquier otro permiso error de escritura, que está habilitado por defecto, ya que macOS Sierra de liberación, debe actualizar CocoaPods, la ejecución de esta línea en la terminal:

    sudo gem install cocoapods -n/usr/local/bin

    Después de la instalación, compruebe su pod versión:

    pod --version

    Va a deshacerse de este error:

    ERROR:  While executing gem ... (Gem::FilePermissionError)
    You don't have write permissions for the /usr/bin directory

    Y se va a instalar la última CocoaPods:

    Successfully installed cocoapods-x.x.x
    Parsing documentation for cocoapods-x.x.x
    Installing ri documentation for cocoapods-x.x.x
    Done installing documentation for cocoapods after 4 seconds
    1 gem installed
  4. 16

    Para aquellos con un sudo-menos CocoaPods instalación (es decir, hacer no desea conceder RubyGems privilegios de administrador), no es necesario el sudo comando para actualizar su CocoaPods instalación:

    gem install cocoapods

    Usted puede encontrar donde la CocoaPods gema se instala con:

    gem which cocoapods

    Si este es dentro de su directorio home, que sin duda debe ejecutar gem install cocoapods sin usar sudo.

    Por último, para comprobar que CocoaPods que se están ejecutando actualmente tipo:

    pod --version
  5. 13

    Si usted está usando Homebrew, abre el terminal y teclea:

    brew upgrade cocoapods

    Si eso no funciona, trate de:

    brew install cocoapods
  6. 10

    A continuación son los pasos para la actualización de cocoapods :

    1. Abrir terminal (acceso directo : Press cmd + space tab para abrir Spotlight, a continuación, el texto en terminal)
    2. Uso de comandos sudo gem install cocoapods. Este va a pedir la contraseña del sistema debido a la preocupación de la seguridad a partir de entonces se instala gemas

    La actualización a la última versión de CocoaPods?

    1. Ahora, configura pod con pod setup comando. Este será el programa de instalación de cocoapods maestro de repos.

    La actualización a la última versión de CocoaPods?

    1. Puede comprobar la versión de cocoapods utilizando pod --version comando.

    La actualización a la última versión de CocoaPods?

  7. 4

    He intentado actualizar y no funcionó. Finalmente , tuve que eliminar completamente (manualmente )cocoapods, cocoapods-core , cocoapods-try.. cualquier otro paquete de uso por parte de las vainas de cacao. Utilice este comando de terminal para una lista de todos los paquetes : gem list --local | grep cocoa pods

    Después de eso , yo también eliminar ./cocoapods carpeta de usuario de la carpeta raíz.

  8. 3

    Puede resolver este problema simplemente Comandos:

    Primero:

    sudo gem install cocoapods

    Desp: tipo de usuario de mac contraseña ahora su cocoapods será reemplazar con una versión estable.

    si han clonado la repo el tipo este comando:

    pod repo update

    cerca de su xcode y ejecutar este comando

    Pod install
  9. 2

    Este es un muy rápido & solución detallada

    Abrir el Terminal y ejecutar lo siguiente para obtener la última versión estable:

    sudo gem install cocoapods

    Añadir –pre para obtener la última versión preliminar:

    sudo gem install cocoapods --pre

    En caso de cualquier error ocurrido

    Intente desinstalar e instalar de nuevo:

    sudo gem uninstall cocoapods
    sudo gem install cocoapods

    Ejecutar después de la actualización de CocoaPods

    sudo gem clean cocoapods

    Después de la actualización de CocoaPods, también tiene que actualizar Podfile.archivo de bloqueo en su proyecto.

    Vaya a su directorio de proyecto

    pod install
  10. -1
    First check cocoapods version
    like pod --version
    then update like sudo gem install cocoapods --pre
    
    after update you can also check cocoapods version.

    La actualización a la última versión de CocoaPods?

Dejar respuesta

Please enter your comment!
Please enter your name here